> For the complete documentation index, see [llms.txt](https://docs.xtrakit.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.xtrakit.com/overview/sales/fetch-sale.md).

# Fetch Sale

## Endpoint

<mark style="color:green;">**`GET`**</mark> `https://api.xtrakit.com/api/v1/sales/{invoice_code}`

## Headers

`Authorization: Bearer API_KEY`

## **Path Parameters**

<table><thead><tr><th>Parameters</th><th width="100">Type</th><th>Description</th></tr></thead><tbody><tr><td><p>invoice_code </p><p><em><strong>string</strong></em></p></td><td>Required</td><td>An invoice code is a unique code to retrieve a single sale. Should be passed through the URL</td></tr></tbody></table>

## Sample Requests <a href="#sample-requests" id="sample-requests"></a>

{% tabs %}
{% tab title="PHP" %}

<pre class="language-php" data-full-width="true"><code class="lang-php">&#x3C;?php
<strong>$invoice_code = 'YOUR_INVOICE_CODE'; // Replace 'YOUR_INVOICE_CODE' with your actual invoice Code
</strong>
$url = 'https://api.xtrakit.com/api/v1/sales/' . $invoice_code;

$curl = curl_init();

curl_setopt_array($curl, array(
  CURLOPT_URL => $url,
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => '',
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 0,
  CURLOPT_FOLLOWLOCATION => true,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => 'GET',
  CURLOPT_HTTPHEADER => array(
    'Authorization: Bearer API_KEY', // Replace 'API_KEY' with your actual API key
    'Content-Type: application/json'
  ),
));

$response = curl_exec($curl);

curl_close($curl);
echo $response;

?>
</code></pre>

{% endtab %}

{% tab title="NodeJS" %}

```javascript
const axios = require('axios');

const invoice_code = 'YOUR_INVOICE_CODE'; // Replace 'YOUR_INVOICE_CODE' with your actual invoice Code

const config = {
    method: 'get',
    url: `https://api.xtrakit.com/api/v1/sales/{invoice_code}`,
    headers: {
        'Authorization': 'Bearer API_KEY' // Replace 'API_KEY' with your actual API key
    }
};

axios(config).then(function(response) {
    console.log(JSON.stringify(response.data));
}).catch(function(error) {
    console.error(error);
});
```

{% endtab %}

{% tab title="Python" %}

```python
import requests

invoice_code = 'YOUR_INVOICE_CODE' # Replace 'YOUR_INVOICE_CODE' with your actual invoice Code

url = f'https://api.xtrakit.com/api/v1/sales/{invoice_code}'

headers = {
    "Authorization": "Bearer API_KEY" # Replace 'API_KEY' with your actual API key
}

try:
    response = requests.get(url, headers=headers)
    print(response.json())
except requests.exceptions.RequestException as e:
    print(e)
```

{% endtab %}
{% endtabs %}

## Sample Response

{% tabs %}
{% tab title="Success" %}

```json
{
    "status": 200,
    "message": "Sale found",
    "data": {
        "sales": {
            "id": 32,
            "invoice_code": 324232,
            "invoice_number": "INV-000001",
            "customer_id": "42",
            "sub_total_amount": "100.00",
            "total_amount": "200.00",
            "amount_paid": "200.00",
            "discount": "0.00",
            "invoice_type": "pos",
            "invoice_colour": "#FFFFFF",
            "invoice_note": null,
            "invoice_terms": "Thanks for doing business",
            "payment_internal_note": null,
            "payment_date": "2024-08-04",
            "payment_type": "2024-08-04",
            "payment_status": "paid",
            "issued_by": "Jones Nathal",
            "due_date": "2024-08-30",
            "reminder_date": "2024-08-25",
            "reminder_message": null,
            "created_at": "2024-08-04 08:23:45",
            "updated_at": "2024-08-04 02:00:43"
        },
        "sales-item": [
            {
                "id": 45,
                "invoice_code": "324232",
                "invoice_number": "INV-000001",
                "item_name": "Web Design",
                "description": "Including hosting",
                "unit_price": "100.00",
                "quantity": "2",
                "tax": "0.00",
                "created_at": "2024-08-04 08:23:45",
                "updated_at": "2024-08-04 02:00:43"
            },
            ...
        ],
        "sales-payment": [
            {
                "invoice_code": "324232",
                "customer_name": "Peter Amos",
                "amount_paid": "200.00",
                "payment_method": "Cash",
                "internal_payment_note": null,
                "issued_by": "Jones Nathal",
                "payment_at": "2024-08-04 08:23:45",
                "created_at": "2024-08-04 08:23:45",
                "updated_at": "2024-08-04 02:00:43"
            },
            ...
        ]
    }
}
```

{% endtab %}

{% tab title="Error" %}

```json
{
    "status": 401,
    "error": "Unauthorized: Missing Bearer Token"
},

{
    "status": 401,
    "error": "Unauthorized: Invalid API Key"
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.xtrakit.com/overview/sales/fetch-sale.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
